Bug 31383 - Anaconda fails if incorrect root partition is named
Anaconda fails if incorrect root partition is named
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-03-10 19:58 EST by Ulrich Drepper
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-09 14:19:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2001-03-10 19:58:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.0-prerelease i686; en-US; 0.9)

While updating from RH7 to Wolferin (really updating) I first selected
the wrong root partition (I have multiple disks).  The default /dev/sda1 is
not the right one but anaconda tried.  The result is an
ugly backtrace and I had to start all over again.  No damage done but it
shouldn't have been necessary.

Reproducible: Always
Steps to Reproduce:
1.get a machine with more than one disk
2.select "update" instead of "install"
3.in the dialog anaconda asks about the root partition give the wrong
answer.  In my case the partition was a linux partition just not the root


Actual Results:  anaconda showed thes python backtrace thingy

Expected Results:  restart of the dialog asking for the root partition
(eventually the wrong choice gets removed)
Comment 1 Michael Fulbright 2001-03-12 11:29:37 EST
The detection of the root partition is admittedly crude - it just mounts
partitions and looks for an /etc/fstab file. Does this fit the situation with
Comment 2 Ulrich Drepper 2001-03-12 12:21:39 EST
Actually, the /dev/sda1 partition contained a /etc/fstab file with a content
like this:

none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /dev/shm                shm     defaults        0 0
/dev/sdc2               /chroot                 ext2    defaults        1 2

The last entry is actually wrong now.  The whole partition is a chroot
environment and used to be /dev/sdc2 (this is where the last entry came from).

But there is no /chroot/var/lib directory, leave alone /chroot/var/lib/rpm.
Comment 3 Michael Fulbright 2001-03-20 12:08:58 EST
Ok that helps, thank for the info.

So I am clear - you were NOT asked to pick from several partitions which was the
partition to upgrade? I would have expected the correct partition as well as
/dev/sda1 (the incorrect partition).

Comment 4 Brent Fox 2001-04-15 10:01:37 EDT
Closing due to inactivity.  Please reopen if you have more information.
Comment 5 Ulrich Drepper 2001-04-15 10:20:01 EDT
You cannot simply close this without resolution.  I've supplied all the answers.
 Why Bugzilla does not show them is something else.

This problem is potentially very dangerous.

To answer the last question again: there were multiple choices given, but I
picked initially the wrong one.  The picked partition looked very much like a
life filesystem (since it was a chroot environment) but it lacked certain files
like /etc/fstab.

It shouldn't be hard for anaconda to not crash but instead go back to the menu
where it asks for a root partition.
Comment 6 Brent Fox 2001-04-24 14:44:38 EDT
Was this in text or GUI mode?
Comment 7 Brent Fox 2001-04-24 14:47:54 EDT
I set up a system with an installation on /dev/hda1 and another install on
/dev/hda6.  Then, I went and deleted /etc/fstab on the /dev/hda1 partition.  I
then performed an upgrade in both text and GUI mode...anaconda i I was able to
re-format that partition and copy from other unscathed Windows partitions.

Rebooting with the boot.img,I typed "linu
dentified /dev/hda6 as the partition to be upgraded.  The option to upgrade
/dev/hda1 was not presented.  Are you able to reproduce the original behavior
with Seawolf?  Admittedly, the testing I did was not a chrooted install, but I
don't think that should make a difference.
Comment 8 Ulrich Drepper 2001-04-24 15:41:36 EDT
I used the graphical installation.

And I cannot test it again right now since I don't have the current anaconda
code on a CD (and no, I cannot download it).  It'll have to wait until I get the
final CDs.
Comment 9 Brent Fox 2001-04-24 15:46:17 EDT
Ok.  Putting in 'Needinfo' state until then.
Comment 10 Brent Fox 2001-05-07 17:30:37 EDT
Any more info on this one?
Comment 11 Ulrich Drepper 2001-05-07 17:36:47 EDT
No.  I have no CDs.
Comment 12 Brent Fox 2001-06-27 19:07:12 EDT
Most of this code is now gone from the installer, so I don't think this issue
will happen in future releases.

Note You need to log in before you can comment on or make changes to this bug.